#!/bin/bash
for files in $*
do
    INFILE=$files
    LEN=${LEN:-110}
    cat $INFILE | while read LINE ; do 
#	LINENOSLASH=
	nchar=${#LINE}  
	if [[ $nchar -ge $LEN ]] ; then
	    echo -e '\t'$nchar: '\t'$INFILE
	    echo $LINE
 
	fi
    done
done
